Bug 1480716 - Review Request: nodejs-chroma-js - JavaScript library for color conversions
Summary: Review Request: nodejs-chroma-js - JavaScript library for color conversions
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2017-08-11 18:33 UTC by Tom Hughes
Modified: 2017-09-15 23:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-15 23:21:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Tom Hughes 2017-08-11 18:33:29 UTC
Spec URL: http://tomh.fedorapeople.org//nodejs-chroma-js.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-chroma-js-1.3.4-1.fc26.src.rpm

Description:
JavaScript library for color conversions.

Comment 1 Tom Hughes 2017-08-11 18:33:33 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=21170047

Comment 2 Robert-André Mauchin 2017-08-13 16:57:59 UTC
Hello,

You licensed your package BSD and MIT but I've found no trace of MIT in the files, but instead ASL 2.0:

Apache (v2.0)
-------------
package/LICENSE-colors
package/src/colors/colorbrewer.coffee

BSD (3 clause)
--------------
package/LICENSE
package/chroma.js
package/chroma.min.js
package/docs/libs/chroma.js
package/docs/libs/chroma.min.js
package/docs/license.coffee
package/license.coffee
package/src/generator/cubehelix.coffee


Could you please fix it?
Also you must indicate which part is under what license: "If the package is under multiple licenses, the licensing breakdown must be documented in the spec."

Otherwise the package is fine



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Apache (v2.0)", "Unknown or generated". 122
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/nodejs-chroma-js/review-nodejs-chroma-
     js/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-chroma-js-1.3.4-1.fc27.noarch.rpm
          nodejs-chroma-js-1.3.4-1.fc27.src.rpm
nodejs-chroma-js.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 3 Tom Hughes 2017-08-13 18:21:46 UTC
Sorry about that. I started from an old spec file and updated it to the latest version and I think there have been some changes to the license in the interim.

New version is here:

Spec URL: http://tomh.fedorapeople.org//nodejs-chroma-js.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-chroma-js-1.3.4-2.fc26.src.rpm

Comment 4 Robert-André Mauchin 2017-08-13 18:30:14 UTC
It's all good then. Package accepted.

Comment 5 Gwyn Ciesla 2017-08-13 22:51:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-chroma-js

Comment 6 Gwyn Ciesla 2017-08-13 22:57:20 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-chroma-js

Comment 7 Jared Smith 2017-09-15 22:38:06 UTC
This appears to be in Rawhide, can this bug be closed?


Note You need to log in before you can comment on or make changes to this bug.